Get lending markets timeseries
curl --request GET \
--url https://api.messari.io/metrics/v2/protocols/{protocolIdentifier}/metrics/lending-markets/time-series/{granularity} \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/protocols/{protocolIdentifier}/metrics/lending-markets/time-series/{granularity}"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/protocols/{protocolIdentifier}/metrics/lending-markets/time-series/{granularity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"series": [
{
"id": "aave_aave-v2_avalanche_c_avalanche_c-v2",
"productSlug": "aave-v2",
"chain": "avalanche_c",
"marketName": "avalanche_c-v2",
"points": [
[
1748736000,
23510950.643165242,
2376072.6093996367,
21134878.033765607
],
[
1748822400,
23523794.091174293,
2376248.4934064513,
21147545.59776784
],
[
1748908800,
23788075.803780608,
2383901.4966985104,
21404174.307082098
],
[
1748995200,
23724622.839787386,
2380605.459132212,
21344017.380655173
],
[
1749081600,
23382182.466817264,
2368096.8816541755,
21014085.585163087
]
]
},
{
"id": "aave_aave-v2_ethereum_ethereum-v2",
"productSlug": "aave-v2",
"chain": "ethereum",
"marketName": "ethereum-v2",
"points": [
[
1748736000,
9551.686342817173,
51.80130061469237,
9499.88504220248
],
[
1748822400,
9606.47023431713,
52.09840802908795,
9554.371826288043
],
[
1748908800,
9994.038037074974,
54.20028988938714,
9939.837747185586
],
[
1748995200,
9947.98670475451,
53.95054143412789,
9894.036163320383
],
[
1749081600,
9539.681600128959,
51.73619574603619,
9487.945404382923
]
]
},
{
"id": "aave_aave-v2_polygon_polygon-v2",
"productSlug": "aave-v2",
"chain": "polygon",
"marketName": "polygon-v2",
"points": [
[
1748736000,
38569752.82721896,
3794864.6926278803,
34774888.13459108
],
[
1748822400,
38621212.89304876,
3796818.0100005027,
34824394.88304826
],
[
1748908800,
39331042.423220664,
3827882.368949122,
35503160.05427154
],
[
1748995200,
39305813.58849489,
3828104.5682649044,
35477709.02022999
],
[
1749081600,
38770014.97071412,
3801301.6189646525,
34968713.35174947
]
]
},
{
"id": "aave_aave-v3_arbitrum_0x794a61358d6845594f94dc1db02a252b5b4814ad",
"productSlug": "aave-v3",
"chain": "arbitrum",
"marketName": "arbitrum-core",
"points": [
[
1748736000,
1392810041.7209342,
540777750.2162962,
852032291.504638
],
[
1748822400,
1379438050.8468657,
534573903.878233,
844864146.9686327
],
[
1748908800,
1417208445.081294,
545077998.9018449,
872130446.1794492
],
[
1748995200,
1408689076.4192958,
542510458.7211453,
866178617.6981505
],
[
1749081600,
1378255015.016849,
529904072.8153599,
848350942.2014892
]
]
},
{
"id": "aave_aave-v3_avalanche_c_0x794a61358d6845594f94dc1db02a252b5b4814ad",
"productSlug": "aave-v3",
"chain": "avalanche_c",
"marketName": "avalanche_c-core",
"points": [
[
1748736000,
1057401488.071581,
356742939.47328234,
700658548.5982987
],
[
1748822400,
1066133677.6930491,
363787851.34041595,
702345826.3526331
],
[
1748908800,
1081216165.9432366,
369133810.77200663,
712082355.17123
],
[
1748995200,
1079830349.4492314,
369258960.8018748,
710571388.6473565
],
[
1749081600,
1060196353.3508334,
362117295.15095633,
698079058.199877
]
]
}
]
},
"metadata": {
"pointSchemas": [
{
"name": "Timestamp",
"slug": "time",
"description": "Timestamp of the data point.",
"is_timestamp": true
},
{
"name": "Deposits (USD)",
"slug": "depositsUsd",
"description": "Total deposits (supply and collateral) in USD across the market's tokens. Sourced from Blockworks Research.",
"is_timestamp": false
},
{
"name": "Borrowed (USD)",
"slug": "borrowedUsd",
"description": "Total outstanding borrows in USD across the market's tokens. Sourced from Blockworks Research.",
"is_timestamp": false
},
{
"name": "TVL (USD)",
"slug": "tvl24HourUsd",
"description": "TVL in USD, deposits minus borrows. Sourced from Blockworks Research.",
"is_timestamp": false
}
],
"granularity": "1d",
"seriesCount": 23
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Lending
Get Lending Markets Timeseries
Returns one timeseries per market of a lending protocol, where a market is an individual pool (for example a USDC pool of aave-v3 on ethereum). Each series carries its own marketName, productSlug and chain. A protocol that Blockworks Research does not map returns 200 with an empty series list; an unknown identifier returns 404. The response caps at 250 series, above which a 400 names the product and chain filters that narrow it.
GET
/
metrics
/
v2
/
protocols
/
{protocolIdentifier}
/
metrics
/
lending-markets
/
time-series
/
{granularity}
Get lending markets timeseries
Authorizations
Path Parameters
Protocol identifier (ID or slug)
Example:
"aave"
Granularity
Available options:
1d Example:
"1d"
Query Parameters
Time range start
Example:
"2025-06-01T00:00:00Z"
Time range end
Example:
"2025-06-07T00:00:00Z"
Filter to a Blockworks Research product slug
Example:
"aave-v3"
Filter to a Blockworks Research chain slug
Example:
"ethereum"
⌘I

